
Foreman - Bug #4603

RBAC UI - plugin permissions not properly found

03/09/2014 03:39 PM - Thomas McKay

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The filters_helper is incorrectly assuming that all resources are in the main app. The fix is below

@ -19,6 +19,14 @ def search_path(type)

def resource_path(type)

return '' if type.nil?

-    send(type.pluralize.underscore + '_path')

 +    #send(type.pluralize.underscore + '_path')

 +

 +    object_path = type.pluralize.underscore

 +    if object_path.include?('/')

 +      prefix, suffix = object_path.split('/', 2)

 +      send(prefix).send(suffix + '_path')

 +    else

 +      send("#{object_path}_path")

 +    end

Related issues:

Is duplicate of Foreman - Bug #4557: "Undefined Method" is raised in FiltersH... Closed 03/05/2014

History

#1 - 03/10/2014 08:18 AM - Dominic Cleal

- Is duplicate of Bug #4557: "Undefined Method" is raised in FiltersHelper#resource_path when resource is defined in a namespaced plugin added

#2 - 03/10/2014 08:18 AM - Dominic Cleal

- Status changed from New to Duplicate

Fixes should be submitted as pull requests.  Dupe of #4557.
